TypedBytesInputWriter (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming.io
Class TypedBytesInputWriter

    java.lang.Object
      org.apache.hadoop.streaming.io.InputWriter<Object,Object>
          org.apache.hadoop.streaming.io.TypedBytesInputWriter

    public class TypedBytesInputWriter

extends InputWriter<Object,Object>

InputWriter that writes the client's input as typed bytes.

Constructor Summary
`TypedBytesInputWriter()`

Method Summary
`void` | `initialize(PipeMapRed pipeMapRed)` Initializes the InputWriter.
`void` | `writeKey(Object key)` Writes an input key.
`void` | `writeValue(Object value)` Writes an input value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedBytesInputWriter

    public TypedBytesInputWriter()

Method Detail

### initialize

    public void initialize(PipeMapRed pipeMapRed)
                    throws IOException

  Description copied from class: `InputWriter`
  Initializes the InputWriter. This method has to be called before calling any of the other methods.

  Overrides:
    `initialize` in class `InputWriter<Object,Object>`
  Throws:
    `IOException`

### writeKey

    public void writeKey(Object key)
                  throws IOException

  Description copied from class: `InputWriter`
  Writes an input key.

  Specified by:
    `writeKey` in class `InputWriter<Object,Object>`
  Throws:
    `IOException`

### writeValue

    public void writeValue(Object value)
                    throws IOException

  Description copied from class: `InputWriter`
  Writes an input value.

  Specified by:
    `writeValue` in class `InputWriter<Object,Object>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation